Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 257873 - app-emulation/packettracer: Cisco's Packet Tracer ebuild request
Summary: app-emulation/packettracer: Cisco's Packet Tracer ebuild request
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: x86 Linux
: High enhancement (vote)
Assignee: Default Assignee for New Packages
URL: https://www.cisco.com/web/learning/ne...
Whiteboard:
Keywords: EBUILD, InOverlay
Depends on:
Blocks:
 
Reported: 2009-02-06 10:39 UTC by siebz0r
Modified: 2021-10-20 15:12 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
app-emulation/packettracer-51.ebuild (packettracer-51.ebuild,1.89 KB, text/plain)
2009-06-05 21:37 UTC, Andreis Vinogradovs ( slepnoga )
Details
Manifest file (Manifest,412 bytes, text/plain)
2009-06-05 21:40 UTC, Andreis Vinogradovs ( slepnoga )
Details
app-emulation/packettracer-5218.ebuild (packettracer-5218.ebuild,1.86 KB, text/plain)
2011-02-07 00:01 UTC, Łukasz Włodecki
Details
updated ebuild for cisco PacketTracer version 5.3.2 (packettracer-5.3.2.ebuild,1.74 KB, text/plain)
2011-05-30 19:33 UTC, ron widler
Details
Packettracer requires a libpng-1.2 usage. A proposed fix (packettracer-532.ebuild.patch,366 bytes, patch)
2011-06-15 19:06 UTC, Pablo Cholaky
Details | Diff
The ebuild for version 533 of packettracer (packettracer-5.3.3.ebuild,3.70 KB, application/octet-stream)
2012-04-22 18:23 UTC, acidhell
Details
Packet Tracer 7.1.1 (packettracer-7.1.1.ebuild,2.04 KB, text/plain)
2018-03-07 12:05 UTC, Michael Short
Details
app-emulation/packettracer-7.1.1.ebuild (packettracer-7.1.1.ebuild,2.42 KB, text/plain)
2018-03-07 13:16 UTC, Michael Short
Details
app-emulation/packettracer-7.1.1.ebuild (packettracer-7.1.1.ebuild,2.40 KB, text/plain)
2018-03-07 13:28 UTC, Michael Short
Details
app-emulation/packettracer-7.1.1.ebuild (packettracer-7.1.1.ebuild,2.41 KB, text/plain)
2018-03-07 13:33 UTC, Michael Short
Details
app-emulation/packettracer-7.1.1.ebuild (packettracer-7.1.1.ebuild,2.15 KB, text/plain)
2018-03-07 13:37 UTC, Michael Short
Details
app-emulation/packettracer-7.1.1.ebuild (packettracer-7.1.1.ebuild,2.40 KB, text/plain)
2018-03-07 14:39 UTC, Michael Short
Details
app-emulation/packettracer-7.1.1.ebuild (packettracer-7.1.1.ebuild,2.46 KB, text/plain)
2018-03-07 15:19 UTC, Michael Short
Details
app-emulation/packettracer-7.1.1.ebuild (packettracer-7.1.1.ebuild,2.44 KB, text/plain)
2018-03-21 15:40 UTC, Michael Short
Details
ebuild for cisco packettracer 8.0.0 (packettracer-8.0.0.ebuild,1.12 KB, text/plain)
2021-03-15 07:44 UTC, Dmitry Suloev
Details

Note You need to log in before you can comment on or make changes to this bug.
Description siebz0r 2009-02-06 10:39:26 UTC
Simulate Cisco networks
Comment 1 siebz0r 2009-02-06 10:41:24 UTC
Requesting Packet Tracer since it is not in portage ;-)
Comment 2 Jeroen Roovers (RETIRED) gentoo-dev 2009-02-07 07:12:40 UTC
It would really help to add a homepage URL.
Comment 3 siebz0r 2009-02-07 08:55:20 UTC
Right, sorry.
Homepage added, but you have to have a cisco.netacad.net account to download packet tracer
Comment 4 Andreis Vinogradovs ( slepnoga ) 2009-06-05 10:22:58 UTC
(In reply to comment #3)
> Right, sorry.
> Homepage added, but you have to have a cisco.netacad.net account to download
> packet tracer
> 

I have this account and ebuid in progress
Comment 5 Andreis Vinogradovs ( slepnoga ) 2009-06-05 21:37:41 UTC
Created attachment 193662 [details]
app-emulation/packettracer-51.ebuild

This is very alpha ebuild, work for me
TODO full testing, sound not work, clean $DEPEND
Comment 6 Andreis Vinogradovs ( slepnoga ) 2009-06-05 21:40:39 UTC
Created attachment 193663 [details]
Manifest file

ebuild is nofetch source, adding Manifest file
Comment 7 Andreis Vinogradovs ( slepnoga ) 2009-07-28 19:29:24 UTC
packettracer ebuild place in rion overlay.
Comment 8 siebz0r 2009-09-14 13:18:51 UTC
Great work on the ebuild ;)
Comment 9 Andreis Vinogradovs ( slepnoga ) 2010-01-28 13:43:38 UTC
(In reply to comment #8)
> Great work on the ebuild ;)
> 

please, reopen this bug - ebuil not in a tree
Comment 10 Alexey Shvetsov archtester gentoo-dev 2010-02-20 22:36:36 UTC
Ebuild wasnt added to tree so reopening
Comment 11 Łukasz Włodecki 2011-02-07 00:01:31 UTC
Created attachment 261687 [details]
app-emulation/packettracer-5218.ebuild
Comment 12 Łukasz Włodecki 2011-02-07 00:03:18 UTC
Comment on attachment 261687 [details]
app-emulation/packettracer-5218.ebuild

I've updated the ebuild to newest version, hope it'll help.
Comment 13 ron widler 2011-05-30 19:33:06 UTC
Created attachment 275213 [details]
updated ebuild for cisco PacketTracer version 5.3.2

hi, i updated the ebuild for version 5.3.2.

i couldn't find the generic linux version that the previous ebuilds used so i just took the ubuntu generic version, which works just as well.

for i'm running an ~amd64 system i added the keyword, also i changed the wording a bit.

fixed the dependency on the now masked Qt4 meta ebuild as well (i'm not sure which of the qt libs it actually needs to run because it brings it's own versions in PacketTracer53/lib)

when emerging it shows the following warning:

 * As described in the Icon Theme Specification, icon file extensions are not
 * allowed in .desktop files if the value is not an absolute path.

i might look into it later, right now i'm happy that it works ;)
Comment 14 Pablo Cholaky 2011-06-15 08:56:27 UTC
That's hype, should be on the official repo.
Comment 15 Pablo Cholaky 2011-06-15 19:06:28 UTC
Created attachment 277161 [details, diff]
Packettracer requires a libpng-1.2 usage. A proposed fix

Packettracer requires a libpng-1.2 usage.

A fix for that.
Comment 16 Andreis Vinogradovs ( slepnoga ) 2011-09-01 12:26:24 UTC
I no longer have the ability to update the ebuild because I lost access to the tarball.

One option is the ability to commit proxy [1].
If you are interested in this opportunity, please email to proxy-maint@gentoo.org



[1]http://www.gentoo.org/proj/en/qa/proxy-maintainers/index.xml
Comment 17 acidhell 2012-04-22 18:23:11 UTC
Created attachment 309799 [details]
The ebuild for version 533 of packettracer
Comment 18 Michael Short 2018-03-07 12:05:02 UTC
Created attachment 522648 [details]
Packet Tracer 7.1.1

Mostly a rewrite. There were some... problems with the release tarball. I have only done a few ebuilds for myself please let me know if you see anything wrong.
Comment 19 Michael Short 2018-03-07 13:16:39 UTC
Created attachment 522656 [details]
app-emulation/packettracer-7.1.1.ebuild

Cleaned up e-build for compatibility.
Comment 20 Michael Short 2018-03-07 13:28:13 UTC
Created attachment 522658 [details]
app-emulation/packettracer-7.1.1.ebuild

Fixed some outdated commands.
Comment 21 Michael Short 2018-03-07 13:33:14 UTC
Created attachment 522660 [details]
app-emulation/packettracer-7.1.1.ebuild

Added die for less than great tar command. Fixed slotted dependency.
Comment 22 Michael Short 2018-03-07 13:37:34 UTC
Created attachment 522662 [details]
app-emulation/packettracer-7.1.1.ebuild

More cleanup.
Comment 23 Michael Short 2018-03-07 14:39:04 UTC
Created attachment 522674 [details]
app-emulation/packettracer-7.1.1.ebuild

Fixed some typos.
Comment 24 Michael Short 2018-03-07 15:19:59 UTC
Created attachment 522676 [details]
app-emulation/packettracer-7.1.1.ebuild

Added MIME type information.
Comment 25 Brian Evans Gentoo Infrastructure gentoo-dev 2018-03-07 16:04:35 UTC
(In reply to Michael Short from comment #24)
> Created attachment 522676 [details]
> app-emulation/packettracer-7.1.1.ebuild
> 
> Added MIME type information.

Suggestions:
Drop the "# $Header: $" header
Drop eutils (it is unused)
Add -* to the beginning of the keywords as other arches will just fail
Comment 26 Michael Short 2018-03-21 15:40:07 UTC
Created attachment 524658 [details]
app-emulation/packettracer-7.1.1.ebuild

Removed eutils and useless header. Do I need to provide the manifest as well?
Comment 27 Dmitry Suloev 2021-03-15 07:43:56 UTC
Starting from version 7.3.0 Cisco provide deb-package that need minimal additional steps for installation.
Comment 28 Dmitry Suloev 2021-03-15 07:44:42 UTC
Created attachment 691479 [details]
ebuild for cisco packettracer 8.0.0